Page MenuHomePhabricator

Enable NewUserMessage on sq.wikipedia and sq.wikiquote
Closed, ResolvedPublic

Description

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable NewUserMessage on sq.wikipedia and sq.wikiquote

Event Timeline

Klein created this task.Oct 3 2019, 3:15 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 3 2019, 3:15 AM
Urbanecm claimed this task.Oct 3 2019, 7:21 AM
Urbanecm moved this task from Backlog to Working on on the Wikimedia-Site-requests board.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptOct 3 2019, 7:21 AM
Urbanecm triaged this task as Medium priority.Oct 5 2019, 1:37 PM
Urbanecm changed the task status from Open to Stalled.Oct 5 2019, 1:40 PM

You need to make sure the in-wiki configuration of the extension, see https://www.mediawiki.org/wiki/Extension:NewUserMessage. At least MediaWiki:Newusermessage-template should be checked. Stalling until the on wiki configuration is verified by the community.

Change 541009 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Enable NewUserMessage on sq.wikipedia and sq.wikiquote

https://gerrit.wikimedia.org/r/541009

Urbanecm moved this task from Waiting on review to Blocked on others on the User-Urbanecm board.
Klein added a comment.Oct 5 2019, 3:44 PM

Urbanecm, I've seen that page and was waiting to configure all the system messages related to it after the extension gets implemented. Should I do it before? With WikiLove I've dealt with the configuration after the activation of the extension.

I'd prefer if configuration can be done before deploying, since Wikilove works without any configuration, but NewUserMessage would insert a template that currently doesn't exist :-).

Klein added a comment.Oct 5 2019, 4:51 PM

Oh, that's totally true! Hadn't thought of that! I'll deal with the configuration tomorrow for both sites and write again here. :)

Thinking of that, shouldn't extensions have a on/off switch for cases like this in hand of the administrators? Maybe only those which we've already activated from here.

You can propose that in a new task!

Klein added a comment.Oct 5 2019, 9:55 PM

I will actually. I'm not very well known with the Phabricator but I'll give it a try. :)

I created the system messages needed in both projects. I'm might change them again after I see them in work (I'll stay on the lookout for the extension deployment so not much harm is done, if any - even though we don't have that many new users per day) or may add some more but I think they're good enough.

Urbanecm changed the task status from Stalled to Open.Oct 6 2019, 10:42 AM
Urbanecm moved this task from Blocked on others to To deploy on the User-Urbanecm board.

Thanks!

Change 541009 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable NewUserMessage on sq.wikipedia and sq.wikiquote

https://gerrit.wikimedia.org/r/541009

Mentioned in SAL (#wikimedia-operations) [2019-10-07T18:10:13Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: f434ae3: Enable NewUserMessage on sq.wikipedia and sq.wikiquote (T234499) (duration: 00m 52s)

Urbanecm closed this task as Resolved.Oct 7 2019, 6:10 PM